Package org.eclipse.rdf4j.query.resultio.text

## Class BooleanTextParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.text.BooleanTextParser

- All Implemented Interfaces:
    `BooleanQueryResultParser`, `QueryResultParser`

      public class BooleanTextParser
      extends AbstractQueryResultParser
      implements BooleanQueryResultParser

  Reader for the plain text boolean result format.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanTextParser()` | Creates a new parser for the plain text boolean query result format.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BooleanQueryResultFormat` | `getBooleanQueryResultFormat()` | Gets the query result format that this parser can parse.
    `QueryResultFormat` | `getQueryResultFormat()` | Gets the query result format that this parser can parse.
    `boolean` | `parse​(InputStream in)` | Parses the data from the supplied InputStream.
    `void` | `parseQueryResult​(InputStream in)` | Parse the query results out of the given `InputStream` into the handler setup using `QueryResultParser.setQueryResultHandler(QueryResultHandler)`.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### BooleanTextParser

          public BooleanTextParser()

      Creates a new parser for the plain text boolean query result format.

  - ### Method Detail

    - #### getBooleanQueryResultFormat

          public final BooleanQueryResultFormat getBooleanQueryResultFormat()

      Description copied from interface: `BooleanQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getBooleanQueryResultFormat` in interface `BooleanQueryResultParser`

    - #### parse

          public boolean parse​(InputStream in)
                        throws IOException,
                               QueryResultParseException

      Description copied from interface: `BooleanQueryResultParser`
      Parses the data from the supplied InputStream.
      Specified by:
        `parse` in interface `BooleanQueryResultParser`
      Parameters:
        `in` - The InputStream from which to read the data.
      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `QueryResultParseException` - If the parser has encountered an unrecoverable parse error.

    - #### getQueryResultFormat

          public final QueryResultFormat getQueryResultFormat()

      Description copied from interface: `QueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getQueryResultFormat` in interface `QueryResultParser`
      Returns:
        The `QueryResultFormat` supported by this parser.

    - #### parseQueryResult

          public void parseQueryResult​(InputStream in)
                                throws IOException,
                                       QueryResultParseException,
                                       QueryResultHandlerException

      Description copied from interface: `QueryResultParser`
      Parse the query results out of the given `InputStream` into the handler setup using `QueryResultParser.setQueryResultHandler(QueryResultHandler)`.
      Specified by:
        `parseQueryResult` in interface `QueryResultParser`
      Parameters:
        `in` - The `InputStream` to parse the results from.
      Throws:
        `IOException` - If there is an exception from the InputStream.
        `QueryResultParseException` - If the query results are not parsable by this parser.
        `QueryResultHandlerException` - If the `QueryResultHandler` set in `QueryResultParser.setQueryResultHandler(QueryResultHandler)` throws an exception.